
package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单活动信息VO
 *
 * @author tmerclub
 * @date 2020-12-04 11:27:35
 */
public class OrderActivityVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单ID")
    private Long orderId;

    @Schema(description = "是否支付")
    private Integer isPayed;

    @Schema(description = "spuId")
    private Long spuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "商品数量")
    private Integer count;

    @Schema(description = "活动id")
    private Long activityId;

    /**
     * 枚举类：OrderActivityType
     */
    @Schema(description = "活动类型")
    private Integer activityType;
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "订单项列表")
    private List<OrderItemVO> orderItems;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getIsPayed() {
        return isPayed;
    }

    public void setIsPayed(Integer isPayed) {
        this.isPayed = isPayed;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Integer getActivityType() {
        return activityType;
    }

    public void setActivityType(Integer activityType) {
        this.activityType = activityType;
    }

    public List<OrderItemVO> getOrderItems() {
        return orderItems;
    }

    public void setOrderItems(List<OrderItemVO> orderItems) {
        this.orderItems = orderItems;
    }

    @Override
    public String toString() {
        return "OrderActivityVO{" +
                "orderId=" + orderId +
                ", isPayed=" + isPayed +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", count=" + count +
                ", activityId=" + activityId +
                ", activityType=" + activityType +
                ", orderItems=" + orderItems +
                '}';
    }
}
